<?php
session_start();
require('../cfg/cfg.php');
require('../cfg/res.php');
include('php_gene1.php'); 
include('php_session.php');
include('simplexlsx.class.php');


if(file_exists('../_cfg/config.php')){include('../_cfg/config.php');}
$tipo=$_POST['ptipo']; 
$ffile=$_POST['ffile']; 
$ffile2=substr($ffile,0,48);

// if(mb_stristr('XLSX',$docu))
{ 
$origen = $_FILES['ffile']['tmp_name'];
$destino="../xls_docu.xlsx";

// echo '*/*/*/---';
// echo $origen;
// echo '*/*/*/++++';
// echo $destino;
// echo '*/*/*/---';
  
move_uploaded_file($origen,$destino);
$xlsfile=$destino;
  
  
$xlsx = new SimpleXLSX($xlsfile);
$hojas=	$xlsx->sheetNames();
  
// echo '*/*/*/'.$hojas;  
  

for($choja=0; $choja<=count($hojas); $choja++)
{
// 	echo $hojas[$choja];
// 	echo "\n";
  $hoja=str_replace(' ','',$hojas[$choja]);
  $hoja=str_replace(' ','',$hoja);

  $empr=$hoja;
  $empr=substr($empr,0,4);
  
  $docu=$hoja;
  $docu=str_replace($cfg_empr,'',$docu);
  $docu=str_replace('-','',$docu);
  $docu=str_replace('-','',$docu);
  $docu=substr($docu,4,4);

  if(strtoupper($empr)==strtoupper($cfg_empr))
  {
// echo '*/*/*/'.'AQUIII';  
// echo '*/*/*/'.$docu;  
    if(mb_stristr('FC10.FP10',$docu))
    {
  //     if(mb_stristr('FC10',$docu))

      $xfila=$xlsx->rows($choja);
//       echo '*/*/*/*'.'FILAS:'.count($xfila);
      $xcabe= $xfila[0];
      for( $ccolu = 0; $ccolu <= count($xcabe); $ccolu++)
      {
           if($xcabe[$ccolu]=='FECHA'){$col_fecha=$ccolu;}
           if($xcabe[$ccolu]=='PTOE'){$col_ptoe=$ccolu;}
           if($xcabe[$ccolu]=='DOCU'){$col_docu=$ccolu;}
           if($xcabe[$ccolu]=='NUMERO'){$col_numero=$ccolu;}
           if($xcabe[$ccolu]=='AUTORIZACION'){$col_atrz=$ccolu;}
           if($xcabe[$ccolu]=='RUC'){$col_enti=$ccolu;}
           if($xcabe[$ccolu]=='ENTI'){$col_enti=$ccolu;}
           if($xcabe[$ccolu]=='BASE IVA 0'){$col_baseiva0=$ccolu;}
           if($xcabe[$ccolu]=='BASE IVA'){$col_baseiva=$ccolu;}
           if($xcabe[$ccolu]=='IVA'){$col_iva=$ccolu;}

           if($xcabe[$ccolu]=='CONCEPTO'){$col_concepto=$ccolu;}
           if($xcabe[$ccolu]=='DETALLE'){$col_detalle=$ccolu;}
           if($xcabe[$ccolu]=='FPAG'){$col_fpag=$ccolu;}
           if($xcabe[$ccolu]=='SUCO'){$col_suco=$ccolu;}
           if($xcabe[$ccolu]=='CAIR'){$col_cair=$ccolu;}

           if($xcabe[$ccolu]=='RFECHA'){$col_rfecha=$ccolu;}
           if($xcabe[$ccolu]=='RPTOE'){$col_rptoe=$ccolu;}
           if($xcabe[$ccolu]=='RNUMERO'){$col_rnumero=$ccolu;}
           if($xcabe[$ccolu]=='RFTE'){$col_rfte=$ccolu;}
           if($xcabe[$ccolu]=='RIVA'){$col_riva=$ccolu;}
           if($xcabe[$ccolu]=='RAUTORIZACION'){$col_ratrz=$ccolu;}

           if($xcabe[$ccolu]=='R-FECHA'){$col_rfecha=$ccolu;}
           if($xcabe[$ccolu]=='R-PTOE'){$col_rptoe=$ccolu;}
           if($xcabe[$ccolu]=='R-NUMERO'){$col_rnumero=$ccolu;}
           if($xcabe[$ccolu]=='R-FTE'){$col_rfte=$ccolu;}
           if($xcabe[$ccolu]=='R-IVA'){$col_riva=$ccolu;}
           if($xcabe[$ccolu]=='R-AUTORIZACION'){$col_ratrz=$ccolu;}
      }

//       echo '---------------------'.$col_enti;
//       echo '////////////////////'.$col_atrz;
//       echo '*****************';
      
      for($cfila = 1; $cfila <= count($xfila); $cfila++)
      {
         $xregi= $xfila[$cfila];

         $ptoe=fillzero(trim($xregi[$col_ptoe]),6);
         $numero=fillzero(trim($xregi[$col_numero]));
         $dfecha=$xregi[$col_fecha]-2;
         $fecha="1900-01-01";
         $fecha=date('Y-m-d',strtotime($fecha.'+'.$dfecha.'days '));

         $enti=(trim($xregi[$col_enti]));
         if(strlen($enti)==9 or strlen($enti)==12){$enti='0'.$enti;}
//          $enti=fillzero($enti,10);
        
         $baseiva0=(trim($xregi[$col_baseiva0]));
         $baseiva=(trim($xregi[$col_baseiva]));
         $status="-";
         $iva=(trim($xregi[$col_iva]));

         $atrz=$xregi[$col_atrz];
         $cair=$xregi[$col_cair];
         $suco=$xregi[$col_suco];
         $suco=fillzero($suco,2);
         $fpag=$xregi[$col_fpag];

         $rfte=$xregi[$col_rfte];
         $riva=$xregi[$col_riva];
         $rnumero=$xregi[$col_rnumero];
         $rptoe=$xregi[$col_rptoe];
         $rfecha=$xregi[$col_rfecha];
         $ratrz=$xregi[$col_ratrz];
          
         if($rptoe==''){$rptoe=$ptoe;}
         if($rnumero==''){$rnumero=$numero;}
         if($rfecha==''){$rfecha=$fecha;}
         
         $rptoe=fillzero($rptoe,6);
         $rnumero=fillzero($rnumero,9);
        
          
         if(mb_stristr($fpag,'SIN')){$fpag='01';}
         if(mb_stristr($fpag,'CHE')){$fpag='20';}
         if(mb_stristr($fpag,'TRA')){$fpag='20';}
         $fpag=fillzero($fpag,2);
        
         if($baseiva+$baseiva0==0){$status="O";}
        
         if(mb_stristr('FC10',$docu)){$tabla='vtas';}
         if(mb_stristr('FP10',$docu)){$tabla='comp';}
         $tabla1=$tabla.'1';
         $tabla2=$tabla.'2';

//         echo '*/*/'.'Fila:'.$cfila;
//         echo '-*-*-*'.$tabla.$atrz;

         if($tabla=='comp' and strlen($atrz)==49){val_clac($atrz); upl_cexml($atrz);}
        
         if(($tabla=='comp' and (strlen($atrz)==10 or strlen($atrz)==49)) or $tabla=='vtas' )
         {
//            echo 'aqui'.$cfila;
           $regi_sql='select * from '.$tabla1.' where numero ="'.$numero.'" and docu= "'.$docu.'"';
           if($docu=='FP10' and strlen($enti)==10){$enti=substr($enti,0,10).'001';}
           
           if($tabla=='comp')
           {$regi_sql.=' and enti= "'.$enti.'"';}
           $regi_res=mysql_query($regi_sql,$link_vcrx);
           
//            echo '*/*/*'.$regi_sql;

           if(mysql_num_rows($regi_res)==0)
           {
             $inse_sql='insert into '.$tabla1.'(numero,docu,enti)value("'.$numero.'","'.$docu.'","'.$enti.'")';
             $inse_res=mysql_query($inse_sql,$link_vcrx);
             $regi_res=mysql_query($regi_sql,$link_vcrx);
           }
           $idnum1=@mysql_result($regi_res,0,'idnum1');
           
//            echo '*/*/*'.$idnum1;

           if($idnum1!='')
           {
             $regi_sql='update '.$tabla1.' set ';
             $regi_sql.='ptoe="'.$ptoe.'", ';
             if($tabla=='vtas')
             {$regi_sql.='ptov="V'.substr($ptoe,3,3).'", ';}
             $regi_sql.='numero="'.$numero.'", ';
             $regi_sql.='enti="'.$enti.'", ';
             $regi_sql.='fecha="'.$fecha.'", ';
             $regi_sql.='enti="'.$enti.'", ';
             $regi_sql.='fpag="'.$fpag.'", ';
             if($tabla=='comp')
             {
               $regi_sql.='suco="'.$suco.'",';
               if(strlen($atrz)==10)
               {$regi_sql.='atrz="'.$atrz.'",';}
             }
             $regi_sql.='iuser="XLS", ';
             $regi_sql.='idate=now(), ';
             $regi_sql.='status="'.$status.'" ';
             $regi_sql.='where idnum1='.$idnum1;
             $regi_res=mysql_query($regi_sql,$link_vcrx);
         // 				echo $regi_sql;

              $inse_sql='delete from '.$tabla2.' where idnum2="'.$idnum1.'"';
              $inse_res=mysql_query($inse_sql,$link_vcrx);

              $inse_sql='insert into '.$tabla2.'(idnum2,iddet,cant,puni,iva)value("'.$idnum1.'","1","1","'.$baseiva.'","'.$iva.'")';
              $inse_res=mysql_query($inse_sql,$link_vcrx);

              $inse_sql='insert into '.$tabla2.'(idnum2,iddet,cant,puni,iva)value("'.$idnum1.'","2","1","'.$baseiva0.'","0")';
              $inse_res=mysql_query($inse_sql,$link_vcrx);


              $inse_sql='delete from '.$tabla2.' where idnum2='.$idnum1.' and puni=0 ';
              $inse_res=mysql_query($inse_sql,$link_vcrx);

              $inse_sql='update '.$tabla2.' set cair="'.$cair.'" where idnum2='.$idnum1;
              $inse_res=mysql_query($inse_sql,$link_vcrx);

              $inse_sql='update '.$tabla2.' set dcto=0 where idnum2='.$idnum1;
              $inse_res=mysql_query($inse_sql,$link_vcrx);

              $inse_sql='update '.$tabla2.' set item="9999999999" where idnum2='.$idnum1;
              $inse_res=mysql_query($inse_sql,$link_vcrx);
             
           }
           
           
           if($rfte!=0 or $riva!=0)
           {
             if(mb_stristr('FC10',$docu)){$tabla='retc'; $docur='RCLI';}
             if(mb_stristr('FP10',$docu)){$tabla='retp'; $docur='RPRO';}
             $tabla1=$tabla.'1';
             $tabla2=$tabla.'2';
             $regi_sql='select * from '.$tabla1.' where numero ="'.$rnumero.'" and docu= "'.$docur.'"';
             if($tabla=='retc')
             {$regi_sql.=' and enti= "'.$enti.'"';}
             $regi_res=mysql_query($regi_sql,$link_vcrx);

             if(mysql_num_rows($regi_res)==0)
             {
               $inse_sql='insert into '.$tabla1.'(numero,docu,enti)value("'.$rnumero.'","'.$docur.'","'.$enti.'")';
               $inse_res=mysql_query($inse_sql,$link_vcrx);
               $regi_res=mysql_query($regi_sql,$link_vcrx);
             }
             $idnum1=@mysql_result($regi_res,0,'idnum1');

             if($idnum1!='')
             {
               $regi_sql='update '.$tabla1.' set ';
               $regi_sql.='ptoe="'.$rptoe.'", ';
               $regi_sql.='numero="'.$rnumero.'", ';
               $regi_sql.='enti="'.$enti.'", ';
               $regi_sql.='fecha="'.$rfecha.'", ';
               $regi_sql.='enti="'.$enti.'", ';
               $regi_sql.='iuser="XLS", ';
               $regi_sql.='idate=now(), ';
               $regi_sql.='status="'.$status.'" ';
               $regi_sql.='where idnum1='.$idnum1;
               $regi_res=mysql_query($regi_sql,$link_vcrx);
           // 				echo $regi_sql;

                $inse_sql='delete from '.$tabla2.' where idnum2="'.$idnum1.'"';
                $inse_res=mysql_query($inse_sql,$link_vcrx);

                $inse_sql='insert into '.$tabla2.'(idnum2,iddet,cant,puni,cair)value("'.$idnum1.'","1","'.($baseiva*$iva/100).'","'.$riva.'","-")';
                $inse_res=mysql_query($inse_sql,$link_vcrx);

                $inse_sql='insert into '.$tabla2.'(idnum2,iddet,cant,puni,cair)value("'.$idnum1.'","2","'.($baseiva0+$baseiva).'","'.$rfte.'","'.$cair.'")';
                $inse_res=mysql_query($inse_sql,$link_vcrx);

                $inse_sql='delete from '.$tabla2.' where idnum2='.$idnum1.' and puni=0 ';
                $inse_res=mysql_query($inse_sql,$link_vcrx);

                $inse_sql='update '.$tabla2.' set docum="'.$docu.'" where idnum2='.$idnum1;
                $inse_res=mysql_query($inse_sql,$link_vcrx);

                $inse_sql='update '.$tabla2.' set ptoem="'.$ptoe.'" where idnum2='.$idnum1;
                $inse_res=mysql_query($inse_sql,$link_vcrx);

                $inse_sql='update '.$tabla2.' set numer="'.$numero.'" where idnum2='.$idnum1;
                $inse_res=mysql_query($inse_sql,$link_vcrx);

             }
             
           }           
           
         }

        }

  }

    
  }
	
}

}



?>
